Skip to main content

Get Entity Logs

Get all audit logs for a specific artifact or other entity.

Endpoint

GET /audit/entity/{entity_type}/{entity_id}

Path Parameters

ParameterTypeRequiredDescription
entity_typestringYesEntity type: artifact, template, ramp, dock
entity_idstringYesThe entity ID

Request

curl -X GET https://api.docyard.io/v1/audit/entity/artifact/art-abc123 \
  -H "X-API-Key: dk_live_dist_aaaaaaaa"

Response

{
  "entity_id": "art-abc123",
  "entity_type": "artifact",
  "events": [
    {
      "id": "log-001",
      "event": "artifact_uploaded",
      "timestamp": "2026-03-15T10:30:00Z",
      "actor": {
        "type": "distributor",
        "id": "dist-abc123",
        "name": "Acme Insurance"
      },
      "details": {
        "ramp_id": "ramp-xyz789",
        "template": "Insurance Declaration Page"
      }
    },
    {
      "id": "log-002",
      "event": "artifact_retrieved",
      "timestamp": "2026-03-15T14:30:00Z",
      "actor": {
        "type": "collector",
        "id": "coll-xyz789",
        "name": "FirstCity Bank"
      },
      "details": {
        "dock_id": "dock-abc123",
        "keys_provided": ["policy_number"],
        "score": 20,
        "result": "granted"
      }
    },
    {
      "id": "log-003",
      "event": "artifact_retrieved",
      "timestamp": "2026-03-15T15:00:00Z",
      "actor": {
        "type": "collector",
        "id": "coll-xyz789",
        "name": "FirstCity Bank"
      },
      "details": {
        "dock_id": "dock-abc123",
        "keys_provided": ["policy_number"],
        "score": 20,
        "result": "granted"
      }
    }
  ]
}